### Enumeration

# FwupdPlugin ElfFileHeaderType

since: 1.0

#### Declaration

    enum FwupdPlugin.ElfFileHeaderType

#### Description

No description available.

Available since: 1.0

#### Members

`FU_ELF_FILE_HEADER_TYPE_NONE`
  No description available.
  - Value: `0`
  - Nickname: `None`
  - Available since: 1.0
`FU_ELF_FILE_HEADER_TYPE_REL`
  No description available.
  - Value: `1`
  - Nickname: `None`
  - Available since: 1.0
`FU_ELF_FILE_HEADER_TYPE_EXEC`
  No description available.
  - Value: `2`
  - Nickname: `None`
  - Available since: 1.0
`FU_ELF_FILE_HEADER_TYPE_DYN`
  No description available.
  - Value: `3`
  - Nickname: `None`
  - Available since: 1.0
`FU_ELF_FILE_HEADER_TYPE_CORE`
  No description available.
  - Value: `4`
  - Nickname: `None`
  - Available since: 1.0